' test of loading dynamic loading Bass and BassMix 

#include once "libbass.bas"
#include once "libbassmix.bas"

ChDir ExePath()

print BASS.GetVersionsString()
print BASSMIX.GetVersionsString()

screenres 512,512
dim as integer iWin
ScreenControl 2,iWin

var hWin=cast(any ptr,iWin)
BASS.Init(,,,hWin)
var mixer = BASSMIX.StreamCreate(44100,2,0)
var music=BASS.MusicLoad(0,@"jimi.mod",0,0,BASS_MUSIC_DECODE,0)
BASSMIX.StreamAddChannel(mixer,music,BASS_MIXER_BUFFER)

const as long nSamples        = 512
const as long nBytesPerSample = 4
const as long nChannels       = 2
const as long nBufferSize     = nSamples*nBytesPerSample
dim as short ptr pSamples=new short[nSamples*nChannels]

BASS.ChannelPlay(mixer,0)

while inkey="" andalso BASS.ChannelIsActive(music)
  var nBytes = BASSMIX.ChannelGetData(music,pSamples,nBufferSize)
  if nBytes=nBufferSize then
    screenlock:cls
    var pLeftSamples  = @pSamples[0]
    var pRightSamples = @pSamples[1]
    ' plot left channel
    line (0,128)-step(nSamples,0),15
    dim as long y = 128 + pLeftSamples[0] shr 8
    pset (0,y),1
    for x as long = 1 to nSamples-1
      y=128 + *pLeftSamples shr 8 :pLeftSamples+=2
      line -(x,y),2
    next
    ' plot right channel
    line (0,384)-step(nSamples,0),15
    y = 384 + pRightSamples[0] shr 8
    pset (0,y),3
    for x as long = 1 to nSamples-1
      y=384 + *pRightSamples shr 8 :pRightSamples+=2
      line -(x,y),3
    next
    screenunlock
  end if
  sleep 10
wend


