#include once "libbass.bas"

if BASS.IsErrorOnLoad then
  print "error: while loading " & BASS_LIB_NAME
  beep:sleep:end 1
end if

sub SyncCB BASS_API (byval handle as HSYNC, byval channel as ulong, byval data_ as ulong, byval user as any ptr)
  print "SyncCB: BASS_SYNC_END"
end sub

chdir exepath()

BASS.Init()
var hStream  = BASS.StreamCreateFile(BASS_FALSE,@"loop.wav",0,0,BASS_SAMPLE_LOOP)
var hSync    = BASS.ChannelSetSync(hStream, BASS_SYNC_END, 0,@SyncCB,0)
var hChannel = BASS.ChannelPlay(hStream,0)
print "playing 'loop.wav' endless"
print "press any key ..."
sleep



