#include once "libbass.bas"

function SineProc BASS_API (byval handle as HSTREAM,byval pBuffer as any ptr,byval length as ulong,byval user as any ptr) as ulong
  const as single wStep=6.28/44100.0*440.0
  static as single w=0
  dim as single ptr pSamples=pBuffer
  if pSamples<>0 andalso length>3 then
    dim as integer nSamples=length\sizeof(single)
    for i as integer=0 to nSamples-1
      pSamples[i]=sin(w)*.25
      w+=wStep
    next
    return length
  end if
  return length or BASS_STREAMPROC_END

end function

if BASS.IsErrorOnLoad then
  print "error: while loading " & BASS_LIB_NAME
  beep:sleep:end 1
end if

print Bass.GetVersionsString()

if BASS.Init() then
  var stream=BASS.StreamCreate(44100, 1, BASS_SAMPLE_FLOAT or BASS_SAMPLE_SOFTWARE, @SineProc, 0)
  if stream then 
    if BASS.ChannelPlay(stream,1) then
      print "play sine stream endless"
    else
      print "BASS.ChannelPlay() error: " & BASS.GetErrorString() & " !"
    end if
  else
    print "BASS.StreamCreate() error: " & BASS.GetErrorString() & " !"
  end if
else
  print "BASS.Init() error: " & BASS.GetErrorString() & " !"
end if
print "press any key ..."
sleep
