#include once "libbass.bas"


if BASS.IsErrorOnLoad then
  print "error: while loading " & BASS_LIB_NAME
  beep:sleep:end 1
end if

print Bass.GetVersionsString()
dim as ulong stream
if BASS.Init() then
  print "connect to server ..."
  stream=Bass.StreamCreateURL("https://uk.un4seen.com/test.mp3",0,BASS_STREAM_AUTOFREE,0,0)
  if stream then 
    if BASS.ChannelPlay(stream,1) then
      print "play test.mp3 from internet"
    else
      print "BASS.ChannelPlay() error: " & BASS.GetErrorString() & " !"
    end if
  else
    print "BASS.StreamCreateURL() error: " & BASS.GetErrorString() & " !"
  end if
else
  print "BASS.Init() error: " & BASS.GetErrorString() & " !"
end if
print "press any key or wait on end of stream"
while inkey()="" andalso BASS.ChannelIsActive(stream)
  print "."; : sleep 1000
wend 
